MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
Agents
Auth
Billing
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Embedding
Fleet
Knowledge Bases
Attach Knowledge Base to AgentCreate Knowledge BaseDelete Knowledge BaseDetach Knowledge Base from AgentGet Knowledge BaseList Agent's Attached Knowledge BasesList Knowledge Base DocumentsList Embedding ProvidersList My Knowledge BasesUpdate Knowledge Base
LLM
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisations
Realtime
Reviews
Roadmap
SCIM
STT
Suppression
Triggers
TTS
Users
Utils
Voices
Webhooks
Workflows
API ReferenceKnowledge Bases

List Embedding Providers

GET
/v1/knowledge-bases/embedding-providers

List embedding providers available to the caller - the create-knowledge-base picker's data source. Platform-wide defaults only, unless org_id is given, in which case that organisation's own registered providers are included too.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Query Parameters

org_id?|null
verify_locally?Verify Locally
Defaulttrue

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/knowledge-bases/embedding-providers"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "type": "string",    "model": "string",    "endpoint": "string",    "description": "string"  }]
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

List Knowledge Base Documents

Previous Page

List My Knowledge Bases

Next Page